al registrarse el c...
Avisos
Vaciar todo

al registrarse el cp da error  

Página 1 / 2
 
Michael
 Michael
Usuario experto

Buenas tardes:

Mi plantilla de prestashop en mi tienda online tienda.harvia.es es Himalia. He visto que al registrarse un cliente da error al incluir el C.P. He estado mirando respuestas vuestras y vuestra respuesta fue:

"Lo más rápido sería quitar la validación de la pantalla de direcciones para el código postal, busca en el siguiente archivo :

/public_html/themes/Himalia/address.tpl

Aprox en la línea 100 verás un código como el siguiente

/home/onemedic/public_html/themes/Himalia/address.tpl

<input class="form-control validate" data-validate="{$address_validation.$field_name.validate}" type="text" ...

Debes cambiar

data-validate="{$address_validation.$field_name.validate}"

Por

data-validate="no_validar" (respuesta de webempresa)

Cosa que he realizado como se puede ver en el archivo adjunto y sigue dando error, como podéis observar en el otro archivo adjunto.

Que podría pasar. Tengo correctamente también la localizaición país - España, y la configuración del formulario de inscripción, activado el código postal (NNNNN).

Gracias por vuestra ayuda,

Natalia

URL del sitio: Contenido solo visible a usuarios registrados

Citar
Respondido : 30/03/2016 8:22 pm
Jhon
 Jhon
Soporte CMS Webempresa Moderator

HOla

Primero revisa si en este archivo tienes otra referencia a postcode ya que en código html generado no veo que se haya creado este atributo.

También en el código enviado quitale la clase required, es decir

Quedaría :

Saludos.

ResponderCitar
Respondido : 30/03/2016 10:42 pm

wpdoctor-revisa-la-salud-de-tu-wordpress

Michael
 Michael
Usuario experto

Buenos días:

He realizado los cambios y continúa igual, paso recortes.

Muchas gracias por la ayuda

ResponderCitar
Respondido : 31/03/2016 10:44 am
Pepe
 Pepe
Soporte CMS Webempresa Moderator

Hola Michael
Vamos a realizar una prueba ya que parece que están mal definidos los países en ' statesManagement.js.
Primero revisa que tienes la última versión de prestashop instalada 6.1.14, si no esta actualizada, realiza la actualización y revisa si se soluciono.

Si no se soluciona cambia el archivo statesManagement.js por el que te adjunto, antes de cambiarlo renombra el archivo que tienes ahora en tu instalación por ' statesManagement.js_bak y así siempre tenemos una copia por si pasara algo volverlo a dejar como estaba.

La ruta del archivo es: themes/default-bootstrap/js/tools/statesManagement.js

Revisa y se soluciona y comentas con los resultados.

Un saludo

ResponderCitar
Respondido : 31/03/2016 11:13 am

Cursos Gratuitos WordPress

Michael
 Michael
Usuario experto

Buenas tardes:

El problema ahora es que no puedo actualizar mi prestashop 6.1.1.0 a 6.1.1.4 lo he hecho mediante el 1-click y cuando ha indicado que es correcta la actualización veo que no se ha actualizado.

No sé cual puede ser el error.

ResponderCitar
Respondido : 31/03/2016 5:10 pm
Jhon
 Jhon
Soporte CMS Webempresa Moderator

Hola

Si has detectado un problema al actualizar tu Prestashop, mejor abrir otro hilo de discusión con el título adecuado, de esta manera mantenemos el foro ordenado.

Puedes probar el archivo que te envio Pepe y verificar si soluciona lo que se trata en este hilo.

Saludos.

ResponderCitar
Respondido : 31/03/2016 7:19 pm

Gestor de Contraseñas - VPN Conexión Segura - Gestor 2FA (Segundo Factor de Autenticación

Michael
 Michael
Usuario experto

Buenas tardes:

Quería seguir los pasos que me indicaba tu compañero de que tenía que intentar actualizar mi Prestashop, por eso he incluido este tema dentro del que ya tenía abierto.
Ya lo hago en otro tema
He realizado el cambio de archivo he subido el nuevo y continúa el fallo.

ResponderCitar
Respondido : 31/03/2016 7:43 pm
Jhon
 Jhon
Soporte CMS Webempresa Moderator

Hola

Actualmente no veo que hayas hecho los cambios iniciales que te indicamos para el postcode, veo igual

data-validate="no-validate"

Y aún sigo viendo que aparece required como clase

Saludos.

ResponderCitar
Respondido : 31/03/2016 10:35 pm

optimiza-automaticamente-todas-las-imagenes-de-tu-wordpress

Michael
 Michael
Usuario experto

Perdona pero no se donde tengo que hacerlo yo creía que ya lo había hecho. Me estoy liando un poco porque creo que si lo tengo hecho. me puedes ayudar?

ResponderCitar
Respondido : 01/04/2016 1:22 pm
Pablo Velasco
 Pablo Velasco
Illustrious Member

Hola,

Prueba a editar el archivo themes/Himalia/order-opc-new-account.tpl. Previa copia de seguridad del mismo, cambia la línea:

por esta otra:

ResponderCitar
Respondido : 01/04/2016 3:05 pm

wpdoctor-revisa-la-salud-de-tu-wordpress

Michael
 Michael
Usuario experto

Buenas tardes:

He hecho el cambio, paso un recorte y sigue igual paso otro recorte para que veáis el error que sigue dando.

Saludos,

Natalia

ResponderCitar
Respondido : 01/04/2016 4:23 pm
Pablo Velasco
 Pablo Velasco
Illustrious Member

Hola,

En ese mismo archivo que te había indicado, cambia la línea:


por esta otra (le quito el "validate"):


                                                                                                	
ResponderCitar
Respondido : 01/04/2016 4:42 pm

Cursos Gratuitos WordPress

Michael
 Michael
Usuario experto

Todo igual, incluso he actualizado mi Prestashop a 1.6.1.4 como me dijo un compañero tuyo y continúa igual, es desesperante ya no sé que hacer.

Gracias

ResponderCitar
Respondido : 01/04/2016 5:56 pm
Jhon
 Jhon
Soporte CMS Webempresa Moderator

Hola

Prueba a eliminar el código postal y los campos que no requieras, desde el backend de PrestaShop => Localización => Paises =>Localiza y edita España => Formato de dirección , desde este campo prueba borrar el código postal y la dirección 2 (postcode city , address2)

Saludos.

ResponderCitar
Respondido : 01/04/2016 6:47 pm

Gestor de Contraseñas - VPN Conexión Segura - Gestor 2FA (Segundo Factor de Autenticación

Michael
 Michael
Usuario experto

Buenas tardes:

Necesito la opción del código postal, pero que no de error.

Gracias

ResponderCitar
Respondido : 01/04/2016 7:30 pm
Página 1 / 2